Iot Dps Resource - Update
Update an existing provisioning service's tags. to update other fields use the CreateOrUpdate method
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}?api-version=2018-01-22
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
provisioning
|
path | True |
string |
Name of provisioning service to create or update. |
|
resource
|
path | True |
string |
Resource group identifier. |
|
subscription
|
path | True |
string |
The subscription identifier. |
|
api-version
|
query | True |
string |
The version of the API. |
Request Body
| Name | Type | Description |
|---|---|---|
| tags |
object |
Resource tags |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Provisioning Service was successfully updated |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
DPSPatch
Sample Request
PATCH https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/provisioningServices/myFirstProvisioningService?api-version=2018-01-22
{
"tags": {
"foo": "bar"
}
}
Sample Response
{
"etag": "AAAAAAAADGk=",
"name": "myFirstProvisioningService",
"location": "eastus",
"properties": {
"state": "Active",
"allocationPolicy": "Hashed",
"serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
"deviceProvisioningHostName": "global.azure-devices-provisioning.net",
"idScope": "0ne00000012"
},
"type": "Microsoft.Devices/ProvisioningServices",
"id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
"tags": {
"foo": "bar"
},
"sku": {
"name": "S1",
"tier": "Standard",
"capacity": 1
}
}
Definitions
| Name | Description |
|---|---|
|
Access |
Rights that this key has. |
|
Allocation |
Allocation policy to be used by this provisioning service. |
|
Iot |
the service specific properties of a provisioning service, including keys, linked iot hubs, current state, and system generated properties such as hostname and idScope |
|
Iot |
Sku name. |
|
Iot |
List of possible provisioning service SKUs. |
|
Iot |
Description of the IoT hub. |
|
Provisioning |
The description of the provisioning service. |
|
Shared |
Description of the shared access key. |
| state |
Current state of the provisioning service. |
|
Tags |
A container holding only the Tags for a resource, allowing the user to update the tags on a Provisioning Service instance. |
AccessRightsDescription
Rights that this key has.
| Name | Type | Description |
|---|---|---|
| DeviceConnect |
string |
|
| EnrollmentRead |
string |
|
| EnrollmentWrite |
string |
|
| RegistrationStatusRead |
string |
|
| RegistrationStatusWrite |
string |
|
| ServiceConfig |
string |
AllocationPolicy
Allocation policy to be used by this provisioning service.
| Name | Type | Description |
|---|---|---|
| GeoLatency |
string |
|
| Hashed |
string |
|
| Static |
string |
IotDpsPropertiesDescription
the service specific properties of a provisioning service, including keys, linked iot hubs, current state, and system generated properties such as hostname and idScope
| Name | Type | Description |
|---|---|---|
| allocationPolicy |
Allocation policy to be used by this provisioning service. |
|
| authorizationPolicies |
Shared |
List of authorization keys for a provisioning service. |
| deviceProvisioningHostName |
string |
Device endpoint for this provisioning service. |
| idScope |
string |
Unique identifier of this provisioning service. |
| iotHubs |
List of IoT hubs associated with this provisioning service. |
|
| provisioningState |
string |
The ARM provisioning state of the provisioning service. |
| serviceOperationsHostName |
string |
Service endpoint for provisioning service. |
| state |
Current state of the provisioning service. |
IotDpsSku
Sku name.
| Name | Type | Description |
|---|---|---|
| S1 |
string |
IotDpsSkuInfo
List of possible provisioning service SKUs.
| Name | Type | Description |
|---|---|---|
| capacity |
integer |
The number of units to provision |
| name |
Sku name. |
|
| tier |
string |
Pricing tier name of the provisioning service. |
IotHubDefinitionDescription
Description of the IoT hub.
| Name | Type | Description |
|---|---|---|
| allocationWeight |
integer |
weight to apply for a given iot h. |
| applyAllocationPolicy |
boolean |
flag for applying allocationPolicy or not for a given iot hub. |
| connectionString |
string |
Connection string og the IoT hub. |
| location |
string |
ARM region of the IoT hub. |
| name |
string |
Host name of the IoT hub. |
ProvisioningServiceDescription
The description of the provisioning service.
| Name | Type | Description |
|---|---|---|
| etag |
string |
The Etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal ETag convention. |
| id |
string |
The resource identifier. |
| location |
string |
The resource location. |
| name |
string |
The resource name. |
| properties |
Service specific properties for a provisioning service |
|
| sku |
Sku info for a provisioning Service. |
|
| tags |
object |
The resource tags. |
| type |
string |
The resource type. |
SharedAccessSignatureAuthorizationRule[AccessRightsDescription]
Description of the shared access key.
| Name | Type | Description |
|---|---|---|
| keyName |
string |
Name of the key. |
| primaryKey |
string |
Primary SAS key value. |
| rights |
Rights that this key has. |
|
| secondaryKey |
string |
Secondary SAS key value. |
state
Current state of the provisioning service.
| Name | Type | Description |
|---|---|---|
| Activating |
string |
|
| ActivationFailed |
string |
|
| Active |
string |
|
| Deleted |
string |
|
| Deleting |
string |
|
| DeletionFailed |
string |
|
| FailingOver |
string |
|
| FailoverFailed |
string |
|
| Resuming |
string |
|
| Suspended |
string |
|
| Suspending |
string |
|
| Transitioning |
string |
TagsResource
A container holding only the Tags for a resource, allowing the user to update the tags on a Provisioning Service instance.
| Name | Type | Description |
|---|---|---|
| tags |
object |
Resource tags |